> For the complete documentation index, see [llms.txt](https://liquiidio.gitbook.io/unity-plugin-suite/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://liquiidio.gitbook.io/unity-plugin-suite/anchorlink/api-docs/eosiosigningrequest/eosiosigningrequest-signingrequestconstants.md).

# SigningRequestConstants

Static Class containing Constants used with the SigningRequest Package.

## Summary

| Members                                                                                                                                                                       | Descriptions                                                                       |
| ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------- |
| `public static bool` [`IsIdentity`](#class_eosio_signing_request_1_1_signing_request_constants_1a1ffa929390cc3808305c1818e1a93b57)`(Action action)`                           | Checks if an action is an IdentityRequest.                                         |
| `public static bool` [`HasTapos`](#class_eosio_signing_request_1_1_signing_request_constants_1a27b46a905a4321f1a7a957167d82edd7)`(Transaction tx)`                            | Checks if an transaction has TAPOS (Transaction as Proof of Stake) properties set. |
| `public static KeyValuePair< string, object >` [`VariantId`](#class_eosio_signing_request_1_1_signing_request_constants_1a456133560d18d3e4eb595aa2f07d1876)`(object chainId)` | Converts the chainId-Object to a KeyValuePair\<string, object>.                    |

## Members

**`public static bool`** [**`IsIdentity`**](#class_eosio_signing_request_1_1_signing_request_constants_1a1ffa929390cc3808305c1818e1a93b57)**`(Action action)`**

Checks if an action is an IdentityRequest.

#### Parameters

* `action` The action to be checked.

#### Returns

Returns true if the action passed is an IdentityRequest, returns false if not

**`public static bool`** [**`HasTapos`**](#class_eosio_signing_request_1_1_signing_request_constants_1a27b46a905a4321f1a7a957167d82edd7)**`(Transaction tx)`**

Checks if an transaction has TAPOS (Transaction as Proof of Stake) properties set.

#### Parameters

* `tx` The transaction to be checked.

#### Returns

Returns true if the transaction passed has TAPOS, returns false if not

**`public static KeyValuePair< string, object >`** [**`VariantId`**](#class_eosio_signing_request_1_1_signing_request_constants_1a456133560d18d3e4eb595aa2f07d1876)**`(object chainId)`**

Converts the chainId-Object to a KeyValuePair\<string, object>.

#### Parameters

* `chainId` The chainId-Object to be converted, can either be of type string (Chain-Id or Chain-Name), ChainName-Enum, byte.

#### Returns

Returns a KeyValuePair\<string, object> defining the variant-name and the object


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://liquiidio.gitbook.io/unity-plugin-suite/anchorlink/api-docs/eosiosigningrequest/eosiosigningrequest-signingrequestconstants.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
